
D4Science Infrastructure - Task #10317

Increase the resources of dataminer[1:5]-p-d4s.d4science.org

Nov 13, 2017 12:16 PM - Andrea Dell'Amico

Status: Closed Start date: Nov 13, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Reconfiguration dataminer clusters   

Infrastructure: Production   

Description

RAM and CPU must be increased to 32GB and 16, respectively. This means that at least three of the VMs have to be moved to the

new hardware that will be installed in the next days.

Related issues:

Related to D4Science Infrastructure - Task #10748: Reinstall 2 GARR dataminer... Closed Dec 18, 2017

Blocked by D4Science Infrastructure - Task #10316: Install the new physical h... Closed Nov 13, 2017 Nov 22, 2017

History

#1 - Nov 13, 2017 12:16 PM - Andrea Dell'Amico

- Blocked by Task #10316: Install the new physical hosts added

#2 - Nov 28, 2017 04:03 PM - Andrea Dell'Amico

dataminer1-p-d4s.d4science.org: move from dlib23x.dom0.research-infrastructures.eu to dlib34x.dom0.research-infrastructures.eu

dataminer2-p-d4s.d4science.org: increase resources in place, after moving dataminer2-d-d4s.d4science.org to

dlib23x.dom0.research-infrastructures.eu

dataminer3-p-d4s.d4science.org: move from dlib29x.dom0.research-infrastructures.eu to dlib35x.dom0.research-infrastructures.eu

dataminer4-p-d4s.d4science.org: increase resources in place, after moving worker4-hadoop.d4science.org  to

dlib34x.dom0.research-infrastructures.eu

dataminer5-p-d4s.d4science.org: move from dlib24x.dom0.research-infrastructures.eu to dlib34x.dom0.research-infrastructures.eu

#3 - Dec 13, 2017 05:19 PM - Andrea Dell'Amico

Moreover, dataminer6-p-d4s.d4science.org and dataminer7-p-d4s.d4science.org must be reassigned to the proto backend (or maybe reinstalled with

a more proper hostname?)

#4 - Dec 13, 2017 06:20 PM - Pasquale Pagano

assigning a proper name to the proto backend would even be better. 

#5 - Dec 14, 2017 11:02 AM - Roberto Cirillo

- Target version changed from No Sprint  to Reconfiguration dataminer clusters

#6 - Dec 14, 2017 05:10 PM - Andrea Dell'Amico

Update: we need 6 VMs in proto, all of them hosted at CNR because we do not have the choice to instantiate a 16 GB RAM/16 cores VM.

So:

Increase the resources to dataminer[1:5]-p-d4s.d4science.org

Destroy dataminer[6:7]-p-d4s.d4science.org

Install 4 new proto dataminer: dataminer[2:5]-proto.d4science.org, 16GB RAM, 16CPU

#7 - Dec 18, 2017 05:01 PM - Andrea Dell'Amico

- Related to Task #10748: Reinstall 2 GARR dataminer instances added

#8 - Dec 18, 2017 05:37 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 70

dataminer1-p-d4s.d4science.org: moved from dlib23x.dom0.research-infrastructures.eu to dlib34x.dom0.research-infrastructures.eu, 16 vcpus, 16 GB

ram
dataminer2-p-d4s.d4science.org: increased resources in place, 16 vcpus, 16 GB ram

dataminer3-p-d4s.d4science.org: increased resources in place, 16 vcpus, 16 GB ram

dataminer4-p-d4s.d4science.org: increased resources in place, 16 vcpus, 16 GB ram

dataminer5-p-d4s.d4science.org: move from dlib24x.dom0.research-infrastructures.eu to dlib35x.dom0.research-infrastructures.eu, 16 vcpus, 16 GB

ram

#9 - Dec 18, 2017 06:45 PM - Pasquale Pagano

It is not clear to me the performed work. 

I was expecting to have 

dataminer[1:5]-p-d4s.d4science.org, 32GB RAM, 16 VCPU

dataminer[2:5]-proto.d4science.org, 16GB RAM, 16 VCPU

Can you confirm?

#10 - Dec 18, 2017 06:59 PM - Tommaso Piccioli

dataminer1-p-d4s.d4science.org: 16 vcpus, 32 GB ram

dataminer2-p-d4s.d4science.org: 16 vcpus, 16 GB ram at the moment, 32 GB ram tomorrow morning

dataminer3-p-d4s.d4science.org: 16 vcpus, 16 GB ram at the moment, 32 GB ram in few minutes

dataminer4-p-d4s.d4science.org: 16 vcpus, 32 GB ram

dataminer5-p-d4s.d4science.org: 16 vcpus, 32 GB ram

For the proto dataminer we are still in the old state, 4 new proto datamine will be installed tomorrow morning

#11 - Dec 19, 2017 06:08 PM - Andrea Dell'Amico

- % Done changed from 70 to 90

dataminer[1:5]-p-d4s.d4science.org are now running with 32 GB of RAM and 16 CPUs. Added to the dataminer.garr haproxy backend.

dataminer[0:4]-proto.d4science.org have been configured and tests are in progress.

dataminer5-proto.d4science.org is being configured (I missed it).

#12 - Dec 20, 2017 12:11 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Andrea Dell'Amico wrote:

dataminer5-proto.d4science.org is being configured (I missed it).

 dataminer5-proto.d4science.org configured and added to the load balancer.
